## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           libdsk
Version:        1.5.21
Release:        %autorelease
Summary:        Library for accessing disk images
License:        LGPL-2.0-or-later
URL:            http://www.seasip.info/Unix/LibDsk
Source0:        http://www.seasip.info/Unix/LibDsk/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  bzip2-devel
BuildRequires:  zlib-devel
BuildRequires:  make

%description
A library for accessing disk images, particularly for use with emulators.


%package devel
Summary:    Development files for libdsk
Requires:   %{name} = %{version}-%{release}

%description devel
Development files for libdsk.


%package tools
Summary:    Tools for use with libdsk
Requires:   %{name} = %{version}

%description tools
Tools for use with libdsk.


%prep
%setup -q

# Fix dodgy permissions on files that end up in debuginfo package
find . -name '*.[ch]' | xargs chmod 0644

# EOL fixes for files that end up in the debuginfo package
sed -i 's/\r//' lib/*.h

# Character encoding fixes
iconv -f iso8859-1 doc/libdsk.txt -t utf8 > doc/libdsk.conv \
    && /bin/mv -f doc/libdsk.conv doc/libdsk.txt


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%ldconfig_scriptlets


%files
%{_libdir}/libdsk.so.*
%doc doc/COPYING ChangeLog TODO doc/libdsk.{pdf,txt}


%files tools
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*


%files devel
%{_libdir}/libdsk.so
%{_includedir}/libdsk.h
%doc doc/cfi.html doc/apridisk.html doc/protocol.txt


%changelog
## START: Generated by rpmautospec
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Thu Mar 27 2025 Vojtech Trefny <vtrefny@redhat.com> - 1.5.21-3
- Correct SPDX license LGPL-2-or-later -> LGPL-2.0-or-later

* Sun Mar 23 2025 Vojtech Trefny <vtrefny@redhat.com> - 1.5.21-2
- Fix license and summary

* Sun Mar 23 2025 Vojtech Trefny <vtrefny@redhat.com> - 1.5.21-1
- Update to 1.5.21 (#1742356)

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.15-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Sep 02 2024 Miroslav Suchý <msuchy@redhat.com> - 1.5.15-10
- convert license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.15-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 29 2021 Lucian Langa <lucilanga@gnome.eu.org> - 1.5.15-1
- sync with latest upstream release

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 05 2021 Tom Stellard <tstellar@redhat.com> - 1.5.10-5
- Add BuildRequires: make

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 10 2019 Lucian Langa <lucilanga@gnome.eu.org> - 1.5.10-1
- sync with latest upstream

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.8-11
- Remove obsolete Group tag

* Tue Jan 22 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.8-10
- Remove obsolete ldconfig scriptlets

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 1.3.8-8
- add BuildRequires: gcc

* Wed Feb 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.8-7
- Remove %%clean section

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-5
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Dennis Gilmore <dennis@ausil.us> - 1.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Sep 24 2015 Lucian Langa <lucilanga@gnome.org> - 1.3.8-1
- sync with latest upstream

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Lucian Langa <lucilanga@gnome.org> - 1.2.2-1
- sync with latest upstream

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 1.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Dennis Gilmore <dennis@ausil.us> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 28 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 1.2.1-4
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Sat Jul 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 05 2008 oddsocks <oddsocks@fedoraproject.org> - 1.2.1-1
- *** empty log message ***

* Tue Feb 19 2008 Jesse Keating <jkeating@fedoraproject.org> - 1.2.0-2
- Autorebuild for GCC 4.3

* Sun Jan 06 2008 oddsocks <oddsocks@fedoraproject.org> - 1.2.0-1
- *** empty log message ***

* Wed Aug 22 2007 oddsocks <oddsocks@fedoraproject.org> - 1.1.14-2
- *** empty log message ***

* Fri Aug 10 2007 oddsocks <oddsocks@fedoraproject.org> - 1.1.14-1
- *** empty log message ***

* Wed Jul 04 2007 oddsocks <oddsocks@fedoraproject.org> - 1.1.12-1
- *** empty log message ***

* Sat Sep 16 2006 Paul F. Johnson <pfj@fedoraproject.org> - 1.1.9-4
- updated for rebuild libdsk.spec

* Fri Sep 15 2006 Paul F. Johnson <pfj@fedoraproject.org> - 1.1.9-3
- remove needs.rebuild needs.rebuild

* Sun Aug 27 2006 Ville Skyttä <scop@fedoraproject.org> - 1.1.9-2
- http://fedoraproject.org/wiki/Extras/Schedule/FC6MassRebuild

* Sat Apr 01 2006 Paul F. Johnson <pfj@fedoraproject.org> - 1.1.9-1
- auto-import libdsk-1.1.9-1 on branch devel from libdsk-1.1.9-1.src.rpm

* Fri Jan 13 2006 Paul F. Johnson <pfj@fedoraproject.org> - 1.1.6-1
- auto-import libdsk-1.1.6-1 on branch devel from libdsk-1.1.6-1.src.rpm
## END: Generated by rpmautospec
